lib = File.expand_path('lib', __dir__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require 'rise/mirror_manager/version'

Gem::Specification.new do |spec|
  spec.name          = 'rise-mirror_manager'
  spec.version       = Rise::MirrorManager::VERSION
  spec.authors       = ['marz']
  spec.email         = ['marcelito.guzman@rise.ph']

  spec.summary       = %q{Manages RISE Mirror Sync jobs.}
  spec.homepage      = 'https://github.com/Synacy/rise-mirror_manager'
  spec.license       = 'RISE'

  # Prevent pushing this gem to RubyGems.org. To allow pushes either set the 'allowed_push_host'
  # to allow pushing to a single host or delete this section to allow pushing to any host.
  # if spec.respond_to?(:metadata)
  #   spec.metadata['allowed_push_host'] = "TODO: Set to 'http://mygemserver.com'"
  # else
  #   raise 'RubyGems 2.0 or newer is required to protect against ' \
  #     'public gem pushes.'
  # end

  spec.files = `git ls-files -z`.split("\x0").reject do |f|
    f.match(%r{^(test|spec|features)/})
  end
  spec.bindir        = 'exe'
  spec.executables   = spec.files.grep(%r{^exe/}) { |f| File.basename(f) }
  spec.require_paths = ['lib']

	spec.add_runtime_dependency 'concurrent-ruby'
  spec.add_runtime_dependency 'inifile'
  spec.add_runtime_dependency 'marz-rsync', '~> 0.2.0'
  spec.add_runtime_dependency 'pony'
  spec.add_runtime_dependency 'slack-incoming-webhooks'
  spec.add_runtime_dependency 'sqlite3'

  spec.add_development_dependency 'bundler', '~> 1.16'
  spec.add_development_dependency 'cucumber', '~> 3.0'
  spec.add_development_dependency 'pry'
  spec.add_development_dependency 'rake', '~> 10.0'
  spec.add_development_dependency 'rspec', '~> 3.0'
end
